Skip to main content
GET
/
corridas
/
{id}
Consultar corrida por ID
curl --request GET \
  --url https://api-vendas.taximachine.com.br/api/v2/integracao/corridas/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'api-key: <api-key>'
{
  "success": true,
  "data": {
    "request_id": 1,
    "external_id": "9605699529",
    "full_code": "NOT_SERVED",
    "short_code": "N",
    "requested_at": "2025-02-17T15:03:54+00:00",
    "manager": null,
    "route_key": "3a9502b078d0dc0d9d2acbf97150c08e6beb469ce53cb9ea949211b52211dc8c",
    "return_trip": false,
    "category": "Comum",
    "progress": {
      "accepted_at": null,
      "accept_lat": 0,
      "accept_lng": 0,
      "accept_eta_seconds": 0,
      "accept_eta_km": 0,
      "accept_duration_minutes": 0,
      "accept_distance_km": 0,
      "estimated_distance_km": 0,
      "estimated_duration_minutes": 0,
      "estimated_value": 0,
      "pickup_arrival": null,
      "arrival_at_surroundings": null,
      "start_trip": null,
      "pending_at": null
    }
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

api-key
string
header
required

Obrigatório. Sua chave API.

Path Parameters

id
integer
required

Identificador interno da corrida.

Response

200 - application/json

Sucesso

The response is of type object.